package pps.core.base.service.data.base_line;

import xstartup.annotation.XText;
import java.util.Date;
import java.math.BigDecimal;

public class UpdateBaseLineInput {
    private Integer id;

    @XText("上级线路")
    private Integer parentId;

    @XText("线路名称")
    private String lineName;

    @XText("线路类型")
    private Integer lineType;

    @XText("电网类型")
    private Integer gridType;

    @XText("装机容量")
    private BigDecimal installCapacity;

    @XText("阵列倾角")
    private BigDecimal arrayIncidence;

    @XText("阵列朝向")
    private BigDecimal arrayToward;

    @XText("组织id")
    private String ouId;

    private String createById;

    private String createByName;

    private Date createTime;

    private String modifyById;

    private String modifyByName;

    private Date modifyTime;

    public Integer getId() {
        return this.id;
    }

    public void setId(Integer value) {
        this.id = value;
    }

    public Integer getParentId() {
        return this.parentId;
    }

    public void setParentId(Integer value) {
        this.parentId = value;
    }

    public String getLineName() {
        return this.lineName;
    }

    public void setLineName(String value) {
        this.lineName = value;
    }

    public Integer getLineType() {
        return this.lineType;
    }

    public void setLineType(Integer value) {
        this.lineType = value;
    }

    public Integer getGridType() {
        return this.gridType;
    }

    public void setGridType(Integer value) {
        this.gridType = value;
    }

    public BigDecimal getInstallCapacity() {
        return this.installCapacity;
    }

    public void setInstallCapacity(BigDecimal value) {
        this.installCapacity = value;
    }

    public BigDecimal getArrayIncidence() {
        return this.arrayIncidence;
    }

    public void setArrayIncidence(BigDecimal value) {
        this.arrayIncidence = value;
    }

    public BigDecimal getArrayToward() {
        return this.arrayToward;
    }

    public void setArrayToward(BigDecimal value) {
        this.arrayToward = value;
    }

    public String getOuId() {
        return this.ouId;
    }

    public void setOuId(String value) {
        this.ouId = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

}
